use feature 'say';
use AnyEvent::Redis;
use Data::Dumper::Simple;

my $redis = AnyEvent::Redis->new(
	host => '127.0.0.1',
	port => 6379,
	encoding => 'utf8',
	on_error => sub { warn @_ },
);

say Dumper $redis;


$redis->set( 'foo'=> 'bar', sub { warn "SET!" } );
$redis->get( 'foo', sub { my $value = shift; say Dumper $value; } );




AE::cv->recv;
