#!/usr/bin/env perl

use feature 'say';
use Data::Dumper::Simple;
use GaiaLBS::DataStore::Redis;
use AnyEvent;
use JSON;

my $total_request = $ARGV[0];
my $finished;

my $ds = GaiaLBS::DataStore::Redis->new(
	host => '127.0.0.1',
	port => 6379,
	encoding => 'utf8',
	on_error => sub { warn @_ },
);

#~ say Dumper $ds;

my $node_info = {
	api_key	=> 'sha142424242424242424242424242424242424242',
	layer	=> 'theWOWlayer',
	ident	=> 'wtfIdent',
};


#~ say Dumper ($node_info, $loc, $move, $orien);


my $cv_out = AE::cv;
$cv_out->begin;



for (1..$total_request) {
	
	$cv_out->begin;
	my $cv = $ds->register(
		%$node_info,
	);
	
	$cv->cb( sub {
		my ($res, $err) = $_[0]->recv;
		say Dumper( $res, $err );
		$finished++;
		say $finished if $finished % ($total_request/10) == 0;
		$cv_out->end;
	});
}


$cv_out->end;

$cv_out->recv;

1;
